QXmppDataForm::MediaSource Class Reference

The `QXmppDataForm::MediaSource` class represents a link to one of possibly multiple sources for a media element from XEP-0221: Data Forms Media Element consisting of a MIME type and a QUrl. More...

`#include <QXmppDataForm.h>`

## Public Member Functions

| MediaSource (const QUrl &uri, const QMimeType &contentType)
| MediaSource (const QXmppDataForm::MediaSource &)
MediaSource & | operator= (const MediaSource &)
QUrl | uri () const
void | setUri (const QUrl &uri)
| Sets the URI.
QMimeType | contentType () const
| Returns the content type of the source.
void | setContentType (const QMimeType &contentType)
| Sets the content type of the media source.
bool | operator== (const MediaSource &other) const
| Returns true if two media sources are identical.

## Detailed Description

The `QXmppDataForm::MediaSource` class represents a link to one of possibly multiple sources for a media element from XEP-0221: Data Forms Media Element consisting of a MIME type and a QUrl.

Since
  QXmpp 1.1

## Member Function Documentation

## uri()

QUrl QXmppDataForm::MediaSource::uri | ( |  | ) | const

Returns the media URI as QUrl. This can be i.e. a `http://` URL or a `cid:` Bits of Binary URI.

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp